Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.security.spi
Class AuditSeverity

    java.lang.Object
      weblogic.security.spi.AuditSeverity

public class AuditSeverity
extends Object

The `AuditSeverity` class provides audit severity levels as both numeric and text values to an Auditing provider. The `AuditSeverity` object is accessable to an Auditing provider via the `AuditEvent` object.

An Auditing provider is initialized with one of the severity levels described below. In the request to audit, the Auditing provider looks at the severity, and if it is greater than or equal to its level, it records the audit data (else it just returns).

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static AuditSeverity` | `AUDIT_FAILURE` Constructs an `AuditSeverity` object with the `AUDIT_FAILURE` severity level.
`static AuditSeverity` | `ERROR` Constructs an `AuditSeverity` object with the `ERROR` severity level.
`static AuditSeverity` | `FAILURE` Constructs an `AuditSeverity` object with the `FAILURE` severity level.
`static AuditSeverity` | `INFORMATION` Constructs an `AuditSeverity` object with the `INFORMATION` severity level.
`static AuditSeverity` | `SUCCESS` Constructs an `AuditSeverity` object with the `SUCCESS` severity level.
`static AuditSeverity` | `WARNING` Constructs an `AuditSeverity` object with the `WARNING` severity level.

Method Summary
`static AuditSeverity` | `getInstance(String severityString)` Returns one of the defined AuditSeverities by name, or null if none with given name exists.
`int` | `getSeverity()` Gets a numeric representation of the severity level that can be used in the logic of an Auditing provider.
`String` | `getSeverityString()` Gets a text representation of the severity level that can be used in the composition of an output audit record.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AUDIT_FAILURE

    public static final AuditSeverity AUDIT_FAILURE

  Constructs an `AuditSeverity` object with the `AUDIT_FAILURE` severity level. The purpose is to record a failure (if possible) of the `AuditProvider` or `AuditChannel` implementations, or the `Auditor` object. Therefore, the `AuditSeverity` object contains the numeric value `6` and the text value `AUDIT_FAILURE`.

### ERROR

    public static final AuditSeverity ERROR

  Constructs an `AuditSeverity` object with the `ERROR` severity level. An `AuditSeverity` of `ERROR` means that an error occurred during the authorization process. The purpose is to audit an error result for a security operation, so the `AuditSeverity` object contains the numeric value `3` and the text value `ERROR`.

### FAILURE

    public static final AuditSeverity FAILURE

  Constructs an `AuditSeverity` object with the `FAILURE` severity level. An `AuditSeverity` of `FAILURE` indicates that behavior was normal, but access was denied. The purpose is to audit an internal failure of a security operation, so the `AuditSeverity` object contains the numeric value `5` and the text value `FAILURE`.

### INFORMATION

    public static final AuditSeverity INFORMATION

  Constructs an `AuditSeverity` object with the `INFORMATION` severity level. The purpose of the audit is informational, so the `AuditSeverity` object contains the numeric value `1` and the text value `INFORMATION`.

### SUCCESS

    public static final AuditSeverity SUCCESS

  Constructs an `AuditSeverity` object with the `SUCCESS` severity level. The purpose is to audit a successful security operation, so the `AuditSeverity` object contains the numeric value `4` and the text value `SUCCESS`.

### WARNING

    public static final AuditSeverity WARNING

  Constructs an `AuditSeverity` object with the `WARNING` severity level. The purpose is to audit a security `WARNING`, so the `AuditSeverity` object contains the numeric value `2` and the text value `WARNING`.

Method Detail

### getInstance

    public static AuditSeverity getInstance(String severityString)

  Returns one of the defined AuditSeverities by name, or null if none with given name exists.

  Parameters:
    `severityString` - AuditSeverity name

### getSeverity

    public int getSeverity()

  Gets a numeric representation of the severity level that can be used in the logic of an Auditing provider.

  Returns:
    the severity level, represented as an int.

### getSeverityString

    public String getSeverityString()

  Gets a text representation of the severity level that can be used in the composition of an output audit record.

  Returns:
    the severity level, represented as a String.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD